PySequence (Jython API documentation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class PySequence

    java.lang.Object
      |
      +--org.python.core.PyObject
            |
            +--org.python.core.PySequence

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PyArray, PyList, PyString, PyTuple, PyXRange

public abstract class PySequence
extends PyObject

The abstract superclass of PyObjects that implements a Sequence. Minimize the work in creating such objects. Method names are designed to make it possible for PySequence to implement java.util.List interface when JDK 1.2 is ubiquitous. All subclasses must declare that they implement the ClassDictInit interface, and provide an classDictInit() method that calls PySequence.classDictInit(). Subclasses must also implement get, getslice, and repeat methods. Subclasses that are mutable should also implement: set, setslice, del, and delRange.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.python.core.PyObject
`__class__`

Constructor Summary
`PySequence()` This constructor is used by PyJavaClass.init()
`PySequence(PyClass c)` This constructor is used to pass on an __class__ attribute.

Method Summary
`void` | `__delitem__(PyObject index)` Equivalent to the standard Python __delitem__ method.
`void` | `__delslice__(PyObject s_start, PyObject s_stop, PyObject s_step)`
`PyObject` | `__eq__(PyObject o)` Equivalent to the standard Python __eq__ method.
`PyObject` | `__finditem__(int index)` A variant of the __finditem__ method which accepts a primitive `int` as the key.
`PyObject` | `__finditem__(PyObject index)` Very similar to the standard Python __getitem__ method.
`PyObject` | `__ge__(PyObject o)` Equivalent to the standard Python __ge__ method.
`PyObject` | `__getitem__(PyObject index)` Equivalent to the standard Python __getitem__ method.
`PyObject` | `__getslice__(PyObject s_start, PyObject s_stop, PyObject s_step)`
`PyObject` | `__gt__(PyObject o)` Equivalent to the standard Python __gt__ method.
`PyObject` | `__le__(PyObject o)` Equivalent to the standard Python __le__ method.
`PyObject` | `__lt__(PyObject o)` Equivalent to the standard Python __lt__ method.
`PyObject` | `__ne__(PyObject o)` Equivalent to the standard Python __ne__ method.
`boolean` | `__nonzero__()` Equivalent to the standard Python __nonzero__ method.
`void` | `__setitem__(int index, PyObject value)` A variant of the __setitem__ method which accepts a primitive `int` as the key.
`void` | `__setitem__(PyObject index, PyObject value)` Equivalent to the standard Python __setitem__ method.
`void` | `__setslice__(PyObject s_start, PyObject s_stop, PyObject s_step, PyObject value)`
`java.lang.Object` | `__tojava__(java.lang.Class c)` Equivalent to the Jython __tojava__ method.
`static void` | `classDictInit(PyObject dict)` Internal use only.
`boolean` | `isMappingType()`
`boolean` | `isNumberType()`

Methods inherited from class org.python.core.PyObject
`__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delitem__, __delslice__, __dir__, __div__, __divmod__, __findattr__, __findattr__, __finditem__, __float__, __getattr__, __getattr__, __getitem__, __getslice__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ilshift__, __imod__, __imul__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __ixor__, __len__, __long__, __lshift__, __mod__, __mul__, __neg__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __repr__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rxor__, __setattr__, __setattr__, __setitem__, __setslice__, __str__, __sub__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _dodel, _doget, _doget, _doset, _eq, _ge, _gt, _in, _is, _isnot, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _xor, equals, hashCode, invoke, invoke, invoke, invoke, invoke, isCallable, isSequenceType, safeRepr`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PySequence

    public PySequence()

  This constructor is used by PyJavaClass.init()

### PySequence

    public PySequence(PyClass c)

  This constructor is used to pass on an __class__ attribute.

Method Detail

### classDictInit

    public static void classDictInit(PyObject dict)

  Internal use only. Do not call this method explicit.

### __nonzero__

    public boolean __nonzero__()

  Description copied from class: `PyObject`
  Equivalent to the standard Python __nonzero__ method. Returns whether of not a given `PyObject` is considered true.

  Overrides:
    `__nonzero__` in class `PyObject`

### __eq__

    public PyObject __eq__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __eq__ method.

  Overrides:
    `__eq__` in class `PyObject`
  Parameters:
    `o` - the object to compare this with.
  Returns:
    the result of the comparison.

### __ne__

    public PyObject __ne__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __ne__ method.

  Overrides:
    `__ne__` in class `PyObject`
  Parameters:
    `o` - the object to compare this with.
  Returns:
    the result of the comparison.

### __lt__

    public PyObject __lt__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __lt__ method.

  Overrides:
    `__lt__` in class `PyObject`
  Parameters:
    `o` - the object to compare this with.
  Returns:
    the result of the comparison.

### __le__

    public PyObject __le__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __le__ method.

  Overrides:
    `__le__` in class `PyObject`
  Parameters:
    `o` - the object to compare this with.
  Returns:
    the result of the comparison.

### __gt__

    public PyObject __gt__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __gt__ method.

  Overrides:
    `__gt__` in class `PyObject`
  Parameters:
    `o` - the object to compare this with.
  Returns:
    the result of the comparison.

### __ge__

    public PyObject __ge__(PyObject o)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __ge__ method.

  Overrides:
    `__ge__` in class `PyObject`
  Parameters:
    `o` - the object to compare this with.
  Returns:
    the result of the comparison.

### __finditem__

    public PyObject __finditem__(int index)

  Description copied from class: `PyObject`
  A variant of the __finditem__ method which accepts a primitive `int` as the key. By default, this method will call `__finditem__(PyObject key)` with the appropriate args. The only reason to override this method is for performance.

  Overrides:
    `__finditem__` in class `PyObject`
  Parameters:
    `index` - the key to lookup in this sequence.
  Returns:
    the value corresponding to key or null if key is not found.
  See Also:
    `PyObject.__finditem__(PyObject)`

### __finditem__

    public PyObject __finditem__(PyObject index)

  Description copied from class: `PyObject`
  Very similar to the standard Python __getitem__ method. Instead of throwing a KeyError if the item isn't found, this just returns null. Classes that wish to implement __getitem__ should override this method instead (with the appropriate semantics.

  Overrides:
    `__finditem__` in class `PyObject`
  Parameters:
    `index` - the key to lookup in this container
  Returns:
    the value corresponding to key or null if key is not found

### __getitem__

    public PyObject __getitem__(PyObject index)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __getitem__ method. This method should not be overridden. Override the `__finditem__` method instead.

  Overrides:
    `__getitem__` in class `PyObject`
  Parameters:
    `index` - the key to lookup in this container.
  Returns:
    the value corresponding to that key.
  See Also:
    `PyObject.__finditem__(PyObject)`

### isMappingType

    public boolean isMappingType()

  Overrides:
    `isMappingType` in class `PyObject`

### isNumberType

    public boolean isNumberType()

  Overrides:
    `isNumberType` in class `PyObject`

### __getslice__

    public PyObject __getslice__(PyObject s_start,
                                 PyObject s_stop,
                                 PyObject s_step)

  Overrides:
    `__getslice__` in class `PyObject`

### __setslice__

    public void __setslice__(PyObject s_start,
                             PyObject s_stop,
                             PyObject s_step,
                             PyObject value)

  Overrides:
    `__setslice__` in class `PyObject`

### __delslice__

    public void __delslice__(PyObject s_start,
                             PyObject s_stop,
                             PyObject s_step)

  Overrides:
    `__delslice__` in class `PyObject`

### __setitem__

    public void __setitem__(int index,
                            PyObject value)

  Description copied from class: `PyObject`
  A variant of the __setitem__ method which accepts a primitive `int` as the key. By default, this will call `__setitem__(PyObject key, PyObject value)` with the appropriate args. The only reason to override this method is for performance.

  Overrides:
    `__setitem__` in class `PyObject`
  Parameters:
    `index` - the key whose value will be set
    `value` - the value to set this key to
  See Also:
    `PyObject.__setitem__(PyObject, PyObject)`

### __setitem__

    public void __setitem__(PyObject index,
                            PyObject value)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __setitem__ method.

  Overrides:
    `__setitem__` in class `PyObject`
  Parameters:
    `index` - the key whose value will be set
    `value` - the value to set this key to

### __delitem__

    public void __delitem__(PyObject index)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __delitem__ method.

  Overrides:
    `__delitem__` in class `PyObject`
  Parameters:
    `index` - the key to be removed from the container

### __tojava__

    public java.lang.Object __tojava__(java.lang.Class c)

  Description copied from class: `PyObject`
  Equivalent to the Jython __tojava__ method. Tries to coerce this object to an instance of the requested Java class. Returns the special object `Py.NoConversion` if this `PyObject` can not be converted to the desired Java class.

  Overrides:
    `__tojava__` in class `PyObject`
  Parameters:
    `c` - the Class to convert this `PyObject` to.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage